| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::MediaSessionHandlerInterface Class Reference
Media session handler proxies

`#include <TelepathyQt/MediaSessionHandler>`

Inherits Tp::AbstractInterface.

## Public Slots

QDBusPendingReply | Error (uint errorCode, const QString &message, int timeout=-1)
QDBusPendingReply | Ready (int timeout=-1)

## Signals

void | NewStreamHandler (const QDBusObjectPath &streamHandler, uint ID, uint mediaType, uint direction)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions

| MediaSessionHandlerInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| MediaSessionHandlerInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| MediaSessionHandlerInterface (Tp::DBusProxy *proxy)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members

Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Media.SessionHandler".

## Constructor & Destructor Documentation

Tp::Client::MediaSessionHandlerInterface::MediaSessionHandlerInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a MediaSessionHandlerInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::MediaSessionHandlerInterface::MediaSessionHandlerInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a MediaSessionHandlerInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::MediaSessionHandlerInterface::MediaSessionHandlerInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a MediaSessionHandlerInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## Member Function Documentation

static QLatin1String Tp::Client::MediaSessionHandlerInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Media.SessionHandler", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::MediaSessionHandlerInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply Tp::Client::MediaSessionHandlerInterface::Error | ( | uint | errorCode,
|  | const QString & | message,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `Error` on the remote object.

Informs the connection manager that an error occured in this session. If used, the connection manager must terminate the session and all of the streams within it, and may also emit a StreamError signal on the channel for each stream within the session.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply Tp::Client::MediaSessionHandlerInterface::Ready | ( | int | timeout = `-1` | ) |

inline slot

Begins a call to the D-Bus method `Ready` on the remote object.

Inform the connection manager that a client is ready to handle this session handler (i.e. that it has connected to the NewStreamHandler signal and done any other necessary setup).

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

void Tp::Client::MediaSessionHandlerInterface::NewStreamHandler | ( | const QDBusObjectPath & | streamHandler,
|  | uint | ID,
|  | uint | mediaType,
|  | uint | direction
| ) |  |

signal

Represents the signal `NewStreamHandler` on the remote object.

Emitted when a new stream handler has been created for this session.

Parameters

  streamHandler

      The path of a new object implementing the StreamHandler interface.

  ID

      The unique ID of the new stream

  mediaType

      Type of media that this stream should handle

  direction

      Direction of this stream

void Tp::Client::MediaSessionHandlerInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.